[arch-commits] Commit in python-openstackclient/repos (3 files)
Evangelos Foutras
foutrelis at archlinux.org
Tue Nov 10 04:10:39 UTC 2020
Date: Tuesday, November 10, 2020 @ 04:10:39
Author: foutrelis
Revision: 748535
archrelease: copy trunk to community-staging-any
Added:
python-openstackclient/repos/community-staging-any/
python-openstackclient/repos/community-staging-any/PKGBUILD
(from rev 748534, python-openstackclient/trunk/PKGBUILD)
python-openstackclient/repos/community-staging-any/entry-point-compatibility.patch
(from rev 748534, python-openstackclient/trunk/entry-point-compatibility.patch)
---------------------------------+
PKGBUILD | 33 +++++++++++++++++++++++++++++++++
entry-point-compatibility.patch | 30 ++++++++++++++++++++++++++++++
2 files changed, 63 insertions(+)
Copied: python-openstackclient/repos/community-staging-any/PKGBUILD (from rev 748534, python-openstackclient/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD (rev 0)
+++ community-staging-any/PKGBUILD 2020-11-10 04:10:39 UTC (rev 748535)
@@ -0,0 +1,33 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+
+pkgname=python-openstackclient
+pkgver=5.4.0
+pkgrel=2
+pkgdesc="OpenStack Command-line Client"
+arch=('any')
+url="https://docs.openstack.org/python-openstackclient/latest/"
+license=('Apache')
+depends=('python-six' 'python-pbr' 'python-babel' 'python-cliff' 'python-keystoneclient'
+ 'python-keystoneauth1' 'python-osc-lib' 'python-oslo-utils' 'python-oslo-i18n'
+ 'python-openstacksdk' 'python-glanceclient' 'python-novaclient' 'python-cinderclient')
+checkdepends=('python-ddt' 'python-oslotest' 'python-requests-mock')
+source=("https://github.com/openstack/python-openstackclient/archive/$pkgver/$pkgname-$pkgver.tar.gz")
+sha512sums=('5f8e7861e0b0ce7f24c34e2f460599dde95f25e909a70bee656952b8a8228b94d50def2ad277ca937c7b9de2fd790e9d28ea5e1a3f0f6d3c43501981b2897620')
+
+export PBR_VERSION=$pkgver
+
+build() {
+ cd python-openstackclient-$pkgver
+ python setup.py build
+}
+
+check() {
+ cd python-openstackclient-$pkgver
+ stestr run || echo "Tests failed: https://storyboard.openstack.org/#!/story/2003143"
+}
+
+package() {
+ cd python-openstackclient-$pkgver
+ python setup.py install --root="$pkgdir" --optimize=1
+}
Copied: python-openstackclient/repos/community-staging-any/entry-point-compatibility.patch (from rev 748534, python-openstackclient/trunk/entry-point-compatibility.patch)
===================================================================
--- community-staging-any/entry-point-compatibility.patch (rev 0)
+++ community-staging-any/entry-point-compatibility.patch 2020-11-10 04:10:39 UTC (rev 748535)
@@ -0,0 +1,30 @@
+commit 9d0d64df8b5569f02892b1fd8690043bea7bfde7
+Author: Felix Yan <felixonmars at archlinux.org>
+Date: Tue Jul 14 01:02:00 2020 +0800
+
+ Fix compatibility issue in 5.3
+
+ The offending entry point object looks like:
+ EntryPoint(name='compute', value='openstackclient.compute.client',
+ group='openstack.cli.base')
+
+ Fixes https://storyboard.openstack.org/#!/story/2007917
+
+ Change-Id: I0f3cc62e23efdc14203ce6645581d5ba5dbf7fa0
+
+diff --git a/openstackclient/common/clientmanager.py b/openstackclient/common/clientmanager.py
+index 66dc880e..36c3ce26 100644
+--- a/openstackclient/common/clientmanager.py
++++ b/openstackclient/common/clientmanager.py
+@@ -154,7 +154,10 @@ def get_plugin_modules(group):
+ try:
+ module_name = ep.entry_point.module_name
+ except AttributeError:
+- module_name = ep.entry_point.module
++ try:
++ module_name = ep.entry_point.module
++ except AttributeError:
++ module_name = ep.entry_point.value
+
+ try:
+ module = importlib.import_module(module_name)
More information about the arch-commits
mailing list